- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- AttachCaseEvidenceRequestItem
- AttachCaseEvidenceRequest
Full name: projects.locations.instances.cases.batchAttachEvidence
Batch attaches case evidences to cases. This operation is atomic; either all attachments succeed, or all fail.
HTTP request
POST https://{endpoint}/v1alpha/{name}:batchAttachEvidence
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the Case to batch attach case evidence for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"requests": [
{
object ( |
| Fields | |
|---|---|
requests[] |
Required. The requests to attach case evidence. |
Response body
Response message for cases.batchAttachEvidence.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"caseEvidences": [
{
object ( |
| Fields | |
|---|---|
caseEvidences[] |
The case evidences created. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.cases.update
For more information, see the IAM documentation.
AttachCaseEvidenceRequestItem
Request message for AttachCaseEvidenceRequestItem.
| JSON representation |
|---|
{
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"attachCaseEvidenceRequest": {
object ( |
| Fields | |
|---|---|
| The request to attach case evidence. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
attachCaseEvidenceRequest |
The request to attach case evidence. |
| End of mutually exclusive fields. | |
AttachCaseEvidenceRequest
Request message for AttachCaseEvidence.
| JSON representation |
|---|
{
"evidenceId": string,
"evidenceType": enum ( |
| Fields | |
|---|---|
evidenceId |
Required. The evidence id to attach. |
evidenceType |
Required. The type of the evidence to attach. |